aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRyan Harkin <ryan.harkin@linaro.org>2015-05-20 17:11:48 +0100
committerRyan Harkin <ryan.harkin@linaro.org>2015-05-22 15:40:23 +0100
commit0dd468e262265926e0684a6f9234a187b1664f2c (patch)
tree1a735690145c56e13d131872cbb976e2d8a6eb78
parentb2f75e19d5cec68173af3a6aed723abfec0c55a4 (diff)
Clean up output directory after packaging
Various unwanted files are left in the output directory after the packaging stage and this patch removes them when packaging is complete. Signed-off-by: Ryan Harkin <ryan.harkin@linaro.org>
-rwxr-xr-xbuild-target-bins.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/build-target-bins.sh b/build-target-bins.sh
index 5105e4a..167f1ac 100755
--- a/build-target-bins.sh
+++ b/build-target-bins.sh
@@ -207,6 +207,16 @@ do_package()
populate_variant $outdir uefi
fi
done
+
+ # clean up unwanted artifacts left in output directory
+ pushd ${OUTDIR}
+ rm uInitrd-android.* || :
+ rm uInitrd-oe.* || :
+ rm ramdisk-oe.img || :
+ rm -rf linux || :
+ rm -rf juno || :
+ rm -rf oe || :
+ popd
fi
}